Flow Prompts
Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
flowIdentifierstring · uuidRequired
The unique identifier of the flow.
projectIdentifierstringRequired
Query parameters
includeOptionsbooleanOptional
Whether to include prompt options in the result.
flattenbooleanOptional
Whether to flatten the prompt structure.
parentObjectIdentifierstring · uuidOptional
Optional parent object identifier.
pageNumberinteger · int32Optional
The page number to retrieve.
pageSizeinteger · int32Optional
The number of items per page.
searchTextstringOptional
Optional search text to prompt prompts.
sortinginteger · enumOptionalPossible values:
The sorting option for the results.
descbooleanOptionalDefault:
Whether to sort in descending order.
trueResponses
200
OK
labelstring · nullableRequired
descriptionstring · nullableRequired
modelIdentifierstring · uuid · nullableOptional
questionstring · nullableOptional
parentObjectIdentifierstring · uuid · nullableOptional
promptDataTypeIdinteger · int32Required
dateAddedstring · date-timeOptional
objectIdentifierstring · uuidOptional
minimumValuenumber · double · nullableOptional
maximumValuenumber · double · nullableOptional
foundboolean · nullableOptional
hasChildrenboolean · nullableOptional
403
Forbidden
get
/projects/{projectIdentifier}/flows/{flowIdentifier}/promptsAuthorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
projectIdentifierstringRequired
flowIdentifierstringRequired
Query parameters
parentResourceObjectIdentifierstring · uuidOptional
The object identifier of the flow.
Body
labelstring · nullableRequired
descriptionstring · nullableRequired
modelIdentifierstring · uuid · nullableOptional
questionstring · nullableOptional
parentObjectIdentifierstring · uuid · nullableOptional
promptDataTypeIdinteger · int32Required
Responses
200
OK
labelstring · nullableRequired
descriptionstring · nullableRequired
modelIdentifierstring · uuid · nullableOptional
questionstring · nullableOptional
parentObjectIdentifierstring · uuid · nullableOptional
promptDataTypeIdinteger · int32Required
dateAddedstring · date-timeOptional
objectIdentifierstring · uuidOptional
minimumValuenumber · double · nullableOptional
maximumValuenumber · double · nullableOptional
foundboolean · nullableOptional
hasChildrenboolean · nullableOptional
400
Bad Request
403
Forbidden
post
/projects/{projectIdentifier}/flows/{flowIdentifier}/promptsAuthorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
objectIdentifierstring · uuidRequired
The unique identifier of the prompt.
projectIdentifierstringRequired
flowIdentifierstringRequired
Query parameters
includeOptionsbooleanOptional
Whether to include prompt options in the result.
Responses
200
OK
labelstring · nullableRequired
descriptionstring · nullableRequired
modelIdentifierstring · uuid · nullableOptional
questionstring · nullableOptional
parentObjectIdentifierstring · uuid · nullableOptional
promptDataTypeIdinteger · int32Required
dateAddedstring · date-timeOptional
objectIdentifierstring · uuidOptional
minimumValuenumber · double · nullableOptional
maximumValuenumber · double · nullableOptional
foundboolean · nullableOptional
hasChildrenboolean · nullableOptional
403
Forbidden
404
Not Found
get
/projects/{projectIdentifier}/flows/{flowIdentifier}/prompts/{objectIdentifier}Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
objectIdentifierstring · uuidRequired
The unique identifier of the prompt to update.
projectIdentifierstringRequired
flowIdentifierstringRequired
Body
labelstring · nullableRequired
descriptionstring · nullableRequired
modelIdentifierstring · uuid · nullableOptional
questionstring · nullableOptional
parentObjectIdentifierstring · uuid · nullableOptional
promptDataTypeIdinteger · int32Required
Responses
200
OK
labelstring · nullableRequired
descriptionstring · nullableRequired
modelIdentifierstring · uuid · nullableOptional
questionstring · nullableOptional
parentObjectIdentifierstring · uuid · nullableOptional
promptDataTypeIdinteger · int32Required
dateAddedstring · date-timeOptional
objectIdentifierstring · uuidOptional
minimumValuenumber · double · nullableOptional
maximumValuenumber · double · nullableOptional
foundboolean · nullableOptional
hasChildrenboolean · nullableOptional
400
Bad Request
403
Forbidden
404
Not Found
put
/projects/{projectIdentifier}/flows/{flowIdentifier}/prompts/{objectIdentifier}Last updated
